﻿/* VARIABLES */
:root {
    --text-primary-color: black;
    --text-secondary-color: white;
    --text-disabled-color: gray;
    --background-primary-color: white;
    --background-secondary-color: white;
    --background-dark-color: white;
}

/* BLAZORISE */
.modal-dialog {
    z-index: 1041;
    padding-top: 50px;
}

.disabled {
    color: gray;
    cursor: default !important;
}

figure {
    margin: 0 !important;
}

.figure-img {
    margin-bottom: 0 !important;
    width: 100% !important;
}

.hide {
    display: none !important;
}

/* LOADING */
.loading-overlay {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: var(--background-dark-color);
    display: flex;
    z-index: 1999;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.loading {
    min-height: 100%;
    margin-bottom: 15px;
}

    .loading .loading-internal {
        display: flex;
        background-color: var(--background-dark-color);
        min-height: 50px;
        min-width: 50px;
        width: 98%;
        height: 98%;
    }

    .loading .loading-internal {
        display: flex;
    }

/* CAROUSEL */
.carousel {
    height: 100%;
}

.carousel-inner {
    height: 100%;
}

.carousel-item {
    height: 100%;
}

/* DIRECTORY PICKER */
ul, #directory-dialog {
    list-style-type: none;
}

#directory-dialog {
    margin: 0;
    padding: 0;
    color: var(--text-primary-color);
    width: max-content;
    word-break: keep-all;
}

.directory-caret {
    cursor: pointer;
    user-select: none;
    display: block;
}

    .directory-caret::before {
        content: "\f07b";
        font-family: "Font Awesome 5 Free";
        font-weight: 900;
        display: inline-block;
        margin-right: 6px;
    }

.directory-caret-down::before {
    content: "\f07c";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
}

/* Hide the directory-nested list */
.directory-nested {
    display: none;
}

/* Show the directory-nested list when the user clicks on the directory-caret/arrow (with JavaScript) */
.directory-active {
    display: block;
    margin-left: -20px;
}

/* DIRECTORY MODAL */
.directory-modal-header {
    color: var(--text-secondary-color)
}

.directory-modal-header-close {
    color: var(--text-secondary-color)
}

.directory-modal-content {
    background-color: var(--background-secondary-color) !important;
    color: var(--text-primary-color);
    height: 70vh;
}

.directory-modal-body-content {
    width: unset;
    padding-right: 0;
    padding-left: 0;
}

.directory-modal-body-content-left {
    height: 95%;
}

.directory-modal-body-content-left-disk {
    display: inline;
    cursor: pointer;
    user-select: none;
}

.directory-modal-body-content-path {
    margin-top: 20px;
    color: #495057 !important;
}

.directory-modal-body-directories {
    overflow-y: scroll;
    overflow-x: hidden;
    height: 37vh;
}

.directory-modal-body-directories-back {
    padding-left: 0;
    cursor: pointer;
    user-select: none;
}

    .directory-modal-body-directories-back .text-left {
        display: inline;
    }

.directory-modal-cancel-button {
    background-color: transparent;
    color: white;
}

/* FAB Button */
.fab {
    position: fixed;
    bottom: 30px;
    right: 30px;
}

    .fab button {
        cursor: pointer;
        width: 48px;
        height: 48px;
        border-radius: 30px;
        background-color: #cb60b3;
        border: none;
        box-shadow: 0 1px 5px rgba(0,0,0,.4);
        font-size: 24px;
        color: white;
        -webkit-transition: .2s ease-out;
        -moz-transition: .2s ease-out;
        transition: .2s ease-out;
    }

        .fab button:focus {
            outline: none;
        }

        .fab button.fab-main {
            position: absolute;
            width: 60px;
            height: 60px;
            border-radius: 30px;
            background-color: #5b19b7;
            right: 0;
            bottom: 0;
            z-index: 20;
        }

            .fab button.fab-main:before {
                font-family: "Font Awesome 5 Free";
                font-weight: 900;
                content: '\f0c9';
            }

    .fab ul {
        position: absolute;
        bottom: 0;
        right: 0;
        padding: 0;
        padding-right: 5px;
        margin: 0;
        list-style: none;
        z-index: 10;
        -webkit-transition: .2s ease-out;
        -moz-transition: .2s ease-out;
        transition: .2s ease-out;
    }

        .fab ul li {
            display: flex;
            justify-content: flex-start;
            position: relative;
            margin-bottom: -10%;
            opacity: 0;
            -webkit-transition: .3s ease-out;
            -moz-transition: .3s ease-out;
            transition: .3s ease-out;
            border: unset;
            background-color: transparent;
            padding: 0;
        }

            .fab ul li label {
                margin-right: 10px;
                white-space: nowrap;
                display: block;
                margin-top: 10px;
                padding: 5px 8px;
                color: white;
                background-color: rgba(0,0,0,.2);
                box-shadow: 0 1px 3px rgba(0,0,0,.2);
                border-radius: 3px;
                height: 25px;
                font-size: 16px;
                pointer-events: none;
                opacity: 0;
                -webkit-transition: .2s ease-out;
                -moz-transition: .2s ease-out;
                transition: .2s ease-out;
            }

    .fab.show button.fab-main,
    .fab.show button.fab-main {
        outline: none;
        background-color: #7716ff;
        box-shadow: 0 3px 8px rgba(0,0,0,.5);
    }

        .fab.show button.fab-main:before,
        .fab.show button.fab-main:before {
            font-family: "Font Awesome 5 Free";
            font-weight: 900;
            content: '\f062';
        }

        .fab.show button.fab-main + ul,
        .fab.show button.fab-main + ul {
            bottom: 70px;
        }

            .fab.show button.fab-main + ul li,
            .fab.show button.fab-main + ul li {
                margin-bottom: 10px;
                opacity: 1;
            }

                .fab.show button.fab-main + ul li:hover label,
                .fab.show button.fab-main + ul li:hover label {
                    opacity: 1;
                }

.fab-item-icon {
    font-size: smaller;
}

/* RETRUN BUTTON */
.return-button {
    position: fixed;
    width: 65px;
    font-size: x-large;
    top: 70px;
    left: 30px;
    z-index: 100;
    cursor: pointer;
    color: var(--text-primary-color)
}

    .return-button:hover {
        color: var(--text-secondary-color)
    }

/* PAGINATION */
.pagination {
    float: right;
    user-select: none;
}

.page-item {
    color: var(--text-primary-color);
    cursor: pointer
}

    .page-item.disabled .page-link {
        background-color: var(--background-secondary-color) !important;
    }

.page-link {
    background-color: var(--background-secondary-color) !important;
    color: var(--text-secondary-color);
    border: unset !important;
}